if ( SERVER ) then
	AddCSLuaFile( "shared.lua" )
end

SWEP.ViewModelFOV	= 62
SWEP.ViewModelFlip	= true
SWEP.ViewModel      = "models/weapons/v_kick.mdl"

SWEP.Spawnable			= false
SWEP.AdminSpawnable		= false

SWEP.Primary.ClipSize		= -1
SWEP.Primary.DefaultClip	= -1
SWEP.Primary.Automatic		= false
SWEP.Primary.Ammo			= "none"

SWEP.Secondary.ClipSize		= -1
SWEP.Secondary.DefaultClip	= -1
SWEP.Secondary.Automatic	= false
SWEP.Secondary.Ammo			= "none"

SWEP.CanPrimary 			= true
SWEP.CanSecondary 			= true
	
function SWEP:PrimaryAttack()

	if !SERVER || !self.CanPrimary then return end

	self.CanPrimary = false
	self.Owner:EmitSound("weapons/weapon_smodkick/foot_kickbody.wav")
	timer.Simple(0.25, function()
		
		local tr = self.Owner:GetEyeTrace() || nil
		
		if !self.Owner || !self.Owner:GetEyeTrace().Entity || !(self.Owner:GetPos():Distance(tr.HitPos) < 100) then return end
				
		self.Owner:DrawViewModel(true)
		self.Weapon:SendWeaponAnim(ACT_VM_PRIMARYATTACK)	
		tr.Entity:TakeDamage(1000, self.Owner)
			
		if tr.Entity:GetPhysicsObject():IsValid() && tr.Entity:GetClass() == "prop_physics" then
			local phys = tr.Entity:GetPhysicsObject()
			phys:ApplyForceOffset(self.Owner:GetAimVector():GetNormalized() * math.pow(math.random(4000, 8000), 4) * phys:GetMass(), tr.HitPos)
		else
			tr.Entity:SetVelocity(self.Owner:GetAimVector():GetNormalized() * math.pow(math.random(4000, 8000), 4))
		end
		
	end)		
	timer.Simple(0.95, function () if self.Owner then self.Owner:DrawViewModel(false) end self.CanPrimary = true end)


end

function SWEP:Think()

	if !SERVER || !self.CanPrimary then return end
	
	self.Weapon:SendWeaponAnim(ACT_VM_PRIMARYATTACK)
	
end