if ( SERVER ) then

	AddCSLuaFile( "shared.lua" )
	
	
end

if ( CLIENT ) then

	SWEP.PrintName			= "Super-Man"			
	SWEP.Author				= "Soyez"
	SWEP.Category		= "Heroes"
	SWEP.Slot				= 1
	SWEP.SlotPos			= 1
	SWEP.IconLetter			= "S"
	SWEP.DrawCrosshair		= false
	
        killicon.AddFont( "weapon_deagle", "CSKillIcons", SWEP.IconLetter, Color( 255, 80, 0, 255 ) )


end

-----------------------Main functions----------------------------
 
function SWEP:Reload() --To do when reloading

self.Weapon:EmitSound("")
end

function SWEP:JumpReset()
         self.JumpRefire = true
end

function SWEP:Think()

         //SUPER PUNCH
         if self.InAirDmg == 1 then
            local trace = {}
	    trace.start = self.Owner:GetPos()
	    trace.endpos = self.Owner:GetPos() + (self.Owner:GetUp() * -10)
	    trace.filter = self.Owner
	
	    local tr2 = util.TraceLine(trace)

	    self.Owner:SetHealth(self.PrevHP)
	    
	    if tr2.Hit then
	       self.InAirDmg = 0
	       self.JumpRefire = false
               self.Weapon:SetNextSecondaryFire(CurTime() + 0.8)
               self.Weapon:SetNextPrimaryFire(CurTime() + 0.3)

	       if SERVER then self.Owner:EmitSound(Sound("player/pl_pain1.wav")) end
            else
             local ang = self.Owner:GetAimVector()
	     local spos = self.Owner:GetShootPos()

	     local trace = {}
	     trace.start = spos
	     trace.endpos = spos + (ang * 150)
	     trace.filter = self.Owner
	
	     local tr = util.TraceLine(trace)
	 
	     if tr.HitNonWorld and self.JumpRefire == true then
	        self.JumpRefire = false

                local bullet = {}
                bullet.Num= 1
                bullet.Src = self.Owner:GetShootPos()
	        bullet.Dir= self.Owner:GetAimVector()
	        bullet.Spread = Vector(0.1,0.1,0.1)
	        bullet.Tracer = 0
	        bullet.Force = 100
	        bullet.Damage = 100
	        self.Owner:FireBullets(bullet)
	        
	        timer.Simple(0.5,self.JumpReset,self)
	        
                if SERVER then self.Owner:EmitSound(Sound("npc/vort/claw_swing"..tostring(math.random(1,2))..".wav")) end
                if SERVER then self.Owner:EmitSound(Sound("")) end
             end
            end
           end
end

function SWEP:Initialize()
util.PrecacheSound("")
end
 
function SWEP:PrimaryAttack()

     timer.Simple(0.25, self.PrimaryFire, self)
self.Weapon:EmitSound("")
self.Weapon:SetNextPrimaryFire(CurTime() + 0.25)
  
 end

function SWEP:PrimaryFire()

self.Weapon:SetNextPrimaryFire(CurTime() + 0.9)

local trace = self.Owner:GetEyeTrace()

if trace.HitPos:Distance(self.Owner:GetShootPos()) <= 75 then
   trace.Entity:Ignite(10,1)
self.Weapon:SendWeaponAnim(ACT_VM_HITCENTER)
	bullet = {}
	bullet.Num    = 10
	bullet.Src    = self.Owner:GetShootPos()
	bullet.Dir    = self.Owner:GetAimVector()
	bullet.Spread = Vector(0.1, 0, 0.1)
	bullet.Tracer = 1
	bullet.Force  = 9999
	bullet.Damage = 5000
   trace.Entity:Ignite(3,1)
trace.Entity:Ignite(3,1)
self.Owner:FireBullets(bullet)
trace.Entity:Ignite(3,1)
self.Owner:SetAnimation( PLAYER_ATTACK1 );
trace.Entity:Ignite(3,1)
self.Weapon:EmitSound("weapons/mortar/mortar_explode2.wav")

else
	self.Weapon:SendWeaponAnim(ACT_VM_HITCENTER)
self.Owner:SetAnimation( PLAYER_ATTACK1 )
end

end
 
/*---------------------------------------------------------

---------------------------------------------------------*/
SWEP.InAirDmg = 0
function SWEP:SecondaryAttack()
         if SERVER then self.Owner:EmitSound(Sound("")) end
         if SERVER then self.Owner:EmitSound(Sound("player/suit_sprint.wav")) end
         
         self.Weapon:SetNextSecondaryFire(CurTime() - 1)
         self.Weapon:SetNextPrimaryFire(CurTime() + 100)

         self.PrevHP = self.Owner:Health()
         
         if SERVER then self.Owner:SetVelocity(self.Owner:GetForward() * 200 + Vector(0,0,400)) end
         
         timer.Simple(0.2,self.SecondaryAttackDelay,self)
end

function SWEP:SecondaryAttackDelay()
         self.InAirDmg = 1
         self.JumpRefire = true
end
-------------------------------------------------------------------

------------General Swep Info---------------
SWEP.Author   = "Soyez"
SWEP.Contact        = ""
SWEP.Purpose        = "Super-Man"
SWEP.Instructions   = "Primary to Super Punch!/ Secondary to Fly"
SWEP.Spawnable      = false
SWEP.AdminSpawnable  = false
-----------------------------------------------

------------Models---------------------------
SWEP.ViewModel      = "models/weapons/v_fists.mdl"
SWEP.WorldModel   = ""
-----------------------------------------------

-------------Primary Fire Attributes----------------------------------------
SWEP.Primary.Delay			= 1.9 	--In seconds
SWEP.Primary.Recoil			= 0		--Gun Kick
SWEP.Primary.Damage			= 5	--Damage per Bullet
SWEP.Primary.NumShots		= 1		--Number of shots per one fire
SWEP.Primary.Cone			= 0 	--Bullet Spread
SWEP.Primary.ClipSize		= -1	--Use "-1 if there are no clips"
SWEP.Primary.DefaultClip	= -1	--Number of shots in next clip
SWEP.Primary.Automatic   	= false	--Pistol fire (false) or SMG fire (true)
SWEP.Primary.Ammo         	= "none"	--Ammo Type
SWEP.Primary.Message = "GAME SET/n";
-------------End Primary Fire Attributes------------------------------------
 
-------------Secondary Fire Attributes-------------------------------------
SWEP.Secondary.Delay		= 0.9
SWEP.Secondary.Recoil		= 0
SWEP.Secondary.Damage		= 0
SWEP.Secondary.NumShots		= 1
SWEP.Secondary.Cone			= 0
SWEP.Secondary.ClipSize		= -1
SWEP.Secondary.DefaultClip	= -1
SWEP.Secondary.Automatic   	= false
SWEP.Secondary.Ammo         = "none"
-------------End Secondary Fire Attributes--------------------------------