
if ( SERVER ) then

	AddCSLuaFile( "shared.lua" )
	
	
end

if ( CLIENT ) then

	SWEP.PrintName			= "Tunder Punch!"
	SWEP.Category 			= "Heroes"
	SWEP.Author			= "Soyez"
	SWEP.Slot			= 1
	SWEP.SlotPos			= 3
	SWEP.IconLetter			= "S"
	SWEP.DrawCrosshair		= false
	
        killicon.AddFont( "weapon_deagle", "CSKillIcons", SWEP.IconLetter, Color( 255, 80, 0, 255 ) )


end

-----------------------Main functions----------------------------
 
-- function SWEP:Reload() --To do when reloading
-- end 
 
function SWEP:Think() -- Called every frame
end

function SWEP:Initialize()
util.PrecacheSound("weapons/mortar/mortar_explode2.wav")
util.PrecacheSound("weapons/iceaxe/iceaxe_swing1.wav")
end
 
function SWEP:PrimaryAttack()
self.Weapon:SendWeaponAnim(ACT_VM_HITCENTER)
self.Weapon:SetNextPrimaryFire(CurTime() + .2)

local trace = self.Owner:GetEyeTrace()

if trace.HitPos:Distance(self.Owner:GetShootPos()) <= 75 then
	bullet = {}
	bullet.Num    = 1
	bullet.Src    = self.Owner:GetShootPos()
	bullet.Dir    = self.Owner:GetAimVector()
	bullet.Spread = Vector(0, 0, 0)
	bullet.Tracer = 0
	bullet.Force  = 50
	bullet.Damage = 50
        self.Owner:FireBullets(bullet)
        self.Owner:SetAnimation( PLAYER_ATTACK1 );
        self.Weapon:EmitSound("weapons/mortar/mortar_explode2.wav")
        local hitposent = ents.Create("info_target")
        local trace = self.Owner:GetEyeTrace()
        local hitpos = trace.HitPos
        local launchingents = ents.FindInSphere(hitpos,250)
	local explosioneffect = ents.Create( "prop_combine_ball" )
	explosioneffect:SetPos(hitpos)
	explosioneffect:Spawn()
	explosioneffect:Fire( "explode", "", 0 )
else
	self.Weapon:EmitSound("weapons/iceaxe/iceaxe_swing1.wav")
	self.Weapon:SendWeaponAnim(ACT_VM_MISSCENTER)
end

end
-------------------------------------------------------------------

------------General Swep Info---------------
SWEP.Author   = "Soyez"
SWEP.Category = "Heroes"
SWEP.Contact        = ""
SWEP.Purpose        = "Black Lightning"
SWEP.Instructions   = "Primary to Tunder Punch!"
SWEP.Spawnable      = false
SWEP.AdminSpawnable  = false
-----------------------------------------------

------------Models---------------------------
SWEP.ViewModel      = "models/weapons/v_fists.mdl"
SWEP.WorldModel   = ""
-----------------------------------------------

-------------Primary Fire Attributes----------------------------------------
SWEP.Primary.Delay			= 0.2 	--In seconds
SWEP.Primary.Recoil			= 0		--Gun Kick
SWEP.Primary.Damage			= 50	--Damage per Bullet
SWEP.Primary.NumShots		= 1		--Number of shots per one fire
SWEP.Primary.Cone			= 0 	--Bullet Spread
SWEP.Primary.ClipSize		= -1	--Use "-1 if there are no clips"
SWEP.Primary.DefaultClip	= -1	--Number of shots in next clip
SWEP.Primary.Automatic   	= false	--Pistol fire (false) or SMG fire (true)
SWEP.Primary.Ammo         	= "none"	--Ammo Type
-------------End Primary Fire Attributes------------------------------------
 
-------------Secondary Fire Attributes-------------------------------------
SWEP.Secondary.Delay		= 2
SWEP.Secondary.Recoil		= 0
SWEP.Secondary.Damage		= 0
SWEP.Secondary.NumShots		= 1
SWEP.Secondary.Cone			= 0
SWEP.Secondary.ClipSize		= -1
SWEP.Secondary.DefaultClip	= -1
SWEP.Secondary.Automatic   	= false
SWEP.Secondary.Ammo         = "none"
-------------End Secondary Fire Attributes--------------------------------