function EFFECT:Init( data )
	self.Pos = data:GetStart( )
	self.Radius = data:GetScale( )
	self.RotationSpeed = data:GetRadius( )

	self.DieTime = CurTime( ) + 5
end

function EFFECT:Think( )		
	local newvec, pos

	newvec = Vector( self.Radius, self.Radius, 0 )

	pos = self.Pos

	self:SetRenderBoundsWS( pos + newvec, pos - newvec )

	if self.DieTime > CurTime( ) then
		return true
	else
		return false
	end
end

function EFFECT:Render( )
	self.Mat = self.Mat or Material( "marker" )
	
	local a, b, c, d, pos

	pos = self.Pos

	a = Vector( pos.x - self.Radius, pos.y - self.Radius, pos.z )
	b = Vector( pos.x - self.Radius, pos.y + self.Radius, pos.z )
	c = Vector( pos.x + self.Radius, pos.y + self.Radius, pos.z )
	d = Vector( pos.x + self.Radius, pos.y - self.Radius, pos.z )

	render.SetMaterial( self.Mat )
	render.DrawQuad( a, b, c, d )


	self.Radius = self.Radius + FrameTime( ) * 20
end